package sugar;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;


public class TestConsole extends Applet implements Runnable, ActionListener {

  Console con= Console.createConsole("Vstup + (ukonci znakem #)");
//  Console com= Console.createConsole("Vstup - (ukonci znakem #)");
  Label  lab  =new Label("TOTAL=0");
  Button reset=new Button("RESET");
  double tot=0;
  private boolean isStandalone = false;


  public void init() {
    this.setLayout(new GridLayout(2,2));
  //  con.setForeground(Color.blue);
  //  con.setBackground(Color.yellow);
    con.getConsolePane().setForeground(Color.blue);

  //  con.getConsolePane().setBackground(Color.lightGray);
    this.add(con);
  //  this.add(com);
    this.add(reset);
    reset.addActionListener(this);
    lab.setForeground(Color.red);
    lab.setBackground(Color.cyan);
    this.add(lab);
  }

  public void actionPerformed(ActionEvent ev) {
    tot=0;
    lab.setText("TOTAL="+tot);
    con.clear();
  }


  public void start() { new Thread(this).start(); }

  public void run() {
    Sys.pln(Sys.getByeMsg());
    while (true) {
      double s=Sys.readDouble();
      if (Sys.getError()) {
        con.getConsolePane().getCaret().deleteChar();
        con.getConsolePane().getCaret().deleteChar();
        Sys.pln("   ERROR");
        continue;
      }
      tot+=s;
      if(Sys.getEnd()) System.exit(0);
      lab.setText("TOTAL="+tot);
    }
  }

  //Main method
  public static void main(String[] args) {
    TestConsole applet = new TestConsole();
    applet.isStandalone = true;
    Frame frame;
    frame = new Frame() ;
    frame.setTitle("Applet Frame");
    frame.add(applet, BorderLayout.CENTER);
    applet.init();
    applet.start();
    frame.setSize(400,320);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    frame.setLocation((d.width - frame.getSize().width) / 2, (d.height - frame.getSize().height) / 2);
    frame.setVisible(true);
  }
}